Create a chat. Send the fields of the new row in JSON. You must be an administrator.
POST
/data/chats
curl
curl -X POST "http://api.example.com/data/chats/" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"object_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"object_type": "Asset",
"name": "Chat Name"
}'
import requests
url = "http://api.example.com/data/chats/"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"object_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"object_type": "Asset",
"name": "Chat Name"
}
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Request examples
{
"object_id": "a24a6ea4-ce75-4665-a070-57453082c250",
"object_type": "string"
}
Response examples (201)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"object_id": "b24a6ea4-ce75-4665-a070-57453082c250",
"object_type": "Asset",
"last_message": "2024-01-15T10:30:00Z",
"participants": [
"c24a6ea4-ce75-4665-a070-57453082c250"
],
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}